spring:
  # 注册中心consul地址
  cloud:
    consul:
      host: 172.15.1.11 # consul 所在服务地址
      port: 8500 # consul 服务端口
      discovery:
        # 是否启用服务发现
        enabled: true
        # 配置服务注册
        register: true
        deregister: true
        ## consul ip地址
        hostname: 172.15.1.11
        # 注册到consul的服务名称
        service-name: ${spring.application.name} # 服务提供者名称
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${server.port} #实例ID
        heartbeat:
          enabled: true
        prefer-ip-address: true
        health-check-path: /actuator/health                                                      #健康检查
        health-check-interval: 10s
  # 配置数据源
  datasource:
    # 使用阿里的Druid连接池
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    # 填写你数据库的url、登录名、密码和数据库名
    url: jdbc:mysql://rm-uf6z740323e8053pj.mysql.rds.aliyuncs.com:3306/tuoheng_freeway?useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2b8&useSSL=true&tinyInt1isBit=false
    username: root
    password: TH22#2022
  # Redis数据源
  redis:
    # 缓存库默认索引0
    database: 0
    # Redis服务器地址
    host: 172.15.1.11
    # Redis服务器连接端口
    port: 6379
    # Redis服务器连接密码（默认为空）
    password:
    # 连接超时时间（毫秒）
    timeout: 6000
    # 默认的数据过期时间，主要用于shiro权限管理
    expire: 2592000
    jedis:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1      # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 1       # 连接池中的最小空闲连接

  servlet:
    multipart:
      # 过滤springmvc的文件上传
      enabled: false
      # 单个文件最大值
      max-file-size: 50MB
      # 上传文件总的最大值
      max-request-size: 100MB
#阿里云
aliyuncsVod:
  accessKeyId: LTAI5tE7KWN9fsuGU7DyfYF4
  accessKeySecret: yPPCyfsqWgrTuoz5H4sisY0COclx8E
  roleArn: acs:ram::1399733914954856:role/ramosstest
  bucketName: ta-tech-image
# 自定义配置
tuoheng:
  oidc-url: http://172.15.1.11:7011
  # 图片域名
  image-url: https://image.t-aaron.com/
  # OSS域名
  oss-url: https://ta-tech-image.oss-cn-shanghai.aliyuncs.com
  # 视频域名
  video-url: https://vod.play.t-aaron.com/
  # 通道地址
  live-channel-domain-url: https://streaming.t-aaron.com/
  # 高德Key
  gaodeKey: c01a978a4a24759282f6e3a9b9a0974d
  #飞手平台地址
  pilot-url: http://192.168.11.11:7011/pilot/web/
  # 文件配置
  uploads:
    #上传的服务器上的映射文件夹
    accessPath: /uploads/
    #静态资源对外暴露的访问路径
    staticAccessPath: /**
    #静态资源实际存储路径
    uploadFolder: /data/java/tuoheng_freeway/uploads/
xxl:
  enable: true
  job:
    admin:
      addresses: http://172.15.1.11:8110/xxl-job-admin
    accessToken: tuoheng
    executor:
      appname: xxl-job-executor-freeway-miniprogram
      address:
      ip:
      # 多个后台，端口号不能相同
      port: 9991
      logpath: /data/java/logs/xxl-job/jobhandler
      logretentiondays: 15
## 配置feign熔断
#feign:
#  circuitbreaker:
#    enabled: true
#  # 注意：feign的fallback， ↑ 新版用这种方式开启。↓ 旧版用这个
#  #  hystrix:
#  #    enabled: true

file:
  #上传的服务器上的映射文件夹
  accessPath: /uploads/
  #静态资源对外暴露的访问路径
  staticAccessPath: /**
  #静态资源实际存储路径
  uploadFolder: /data/java/tuoheng_hhz/uploads/